For the complete documentation index, see llms.txt. This page is also available as Markdown.

Enable privacy protection

Enable privacy protection for the domain.

Enable privacy protection

put

Enable privacy protection for the domain.

When privacy protection is enabled, domain owner's personal information is hidden from public WHOIS database.

Use this endpoint to protect domain owner's personal information from public view.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
put/api/domains/v1/portfolio/{domain}/privacy-protection
PUT /api/domains/v1/portfolio/{domain}/privacy-protection HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?